#include <iostream>
#include "snaps.h"
#include "mseid.h"
#include "mcntl.h"
#include "option.h"

void seid( )
{
	
	int n;
	
	for( n = 0 ; n <= 5 ; n++ )
	{
		Full_Pension_Honrai_Shonendo[n] = 780900.;
		Full_Pension_Tokurei_Shonendo[n] = 804200.;
	}
	
	if(Option == 1)
	{
		for( n=1 ;n <=5 ;n++)
		{
			Full_Pension_Honrai_Shonendo[n] *= (40.0 + n) / 40.0;
			Full_Pension_Tokurei_Shonendo[n] *= (40.0 + n) / 40.0;
		}
	}
	
	Full_Pension_Fuka = 2400.;
	
	Kakyu_Tanka_12shi_Honrai_Shonendo = 224700.;
	Kakyu_Tanka_12shi_Tokurei_Shonendo = 231400.;
	Kakyu_Tanka_3shiiko_Honrai_Shonendo = 74900.;
	Kakyu_Tanka_3shiiko_Tokurei_Shonendo = 77100.;
	Tanka_Shibou_Shonendo[0]  = 120000.;
	Tanka_Shibou_Shonendo[1]  = 145000.;
	Tanka_Shibou_Shonendo[2]  = 170000.;
	Tanka_Shibou_Shonendo[3]  = 220000.;
	Tanka_Shibou_Shonendo[4]  = 270000.;
	Tanka_Shibou_Shonendo[5]  = 320000.;
	Tanka_Shibou_Fuka = 8500.;
	
	Hokenryou_Wariai[0] = 0.;
	Hokenryou_Wariai[1] = 0.;
	Hokenryou_Wariai[2] = 0.25;
	Hokenryou_Wariai[3] = 0.5;
	Hokenryou_Wariai[4] = 0.75;
	
	Shogai_Bairitu[0] = 0.;
	Shogai_Bairitu[1] = 1.25;
	Shogai_Bairitu[2] = 1.00;
	
	for( n = 0 ; n <= 16 ; n++ )
	{
		Kanou_Nensu[n] = 24 + n;
	}
	for( n = 17 ; n <= 41+5 ; n++ )
	{
		Kanou_Nensu[n] = 40;
	}
	
	if( Option == 1 )
	{
		for( n = 33 + (OPTION_START-2018) ; n <= 41 + (OPTION_START-2018) ; n++ )
		{
			Kanou_Nensu[n] = 22 + int(  n / 2. );
		}
	}
}
	
